changelog for base distribution and lh

This commit is contained in:
Louis Abel 2023-09-04 21:24:24 -07:00
parent 7bf7d771f9
commit e5b6a85c26
Signed by: label
GPG Key ID: B37E62D143879B36
4 changed files with 92 additions and 1 deletions

View File

@ -3,10 +3,12 @@
source "$(dirname "$0")/common-8"
export PATH=/usr/sbin:/usr/bin:/root/bin
TARGET_DIR="/mnt/compose/8-BETA"
LOG_DIR="/mnt/compose/logs"
SHORT=Rocky
CONFIG=/etc/pungi-beta/rocky-beta.conf
# Unused for now
OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-8/COMPOSE_ID)
STABLE_DIR="/mnt/compose/8"
OLDCOMPOSE_ID=$(cat $STABLE_DIR/latest-$SHORT-8/COMPOSE_ID)
SKIP=""
#LABEL="--nightly --label RC-${REVISION}"
LABEL="--test"
@ -21,3 +23,32 @@ else
fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi
NEWCOMPOSE_ID="$(cat $TARGET_DIR/latest-$SHORT-$MAJOR/COMPOSE_ID)"
SHORTCOMPOSE_ID="$(echo $NEWCOMPOSE_ID | sed -e 's|Rocky-.*-||g')"
# attempt to check changelog
if [ -n "$CHANGELOG_CMD" ]; then
if ! $CHANGELOG_CMD -p "$LOG_DIR/" "$STABLE_DIR/$OLDCOMPOSE_ID/" "$TARGET_DIR/$NEWCOMPOSE_ID" 2>"$LOG_DIR/changelog.$SHORTCOMPOSE_ID.stderr"; then
if [[ "$MAILNOTIF" == "yes" ]]; then
mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Changelog for $NEWCOMPOSE_ID failed" \
releng@rockylinux.org < "$LOG_DIR/changelog-$NEWCOMPOSE_ID.brief"
else
echo "!! Changelog run failed !!"
fi
exit 1
fi
fi

View File

@ -45,5 +45,6 @@ if [ -n "$CHANGELOG_CMD" ]; then
else
echo "!! Changelog run failed !!"
fi
exit 1
fi
fi

View File

@ -3,6 +3,7 @@
source "$(dirname "$0")/common-8"
export PATH=/usr/sbin:/usr/bin:/root/bin
TARGET_DIR="/mnt/compose/8"
LOG_DIR="/mnt/compose/logs"
SHORT=Rocky
CONFIG=/etc/pungi-prod/rocky.conf
# Unused for now
@ -20,3 +21,32 @@ else
fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi
NEWCOMPOSE_ID="$(cat $TARGET_DIR/latest-$SHORT-$MAJOR/COMPOSE_ID)"
SHORTCOMPOSE_ID="$(echo $NEWCOMPOSE_ID | sed -e 's|Rocky-.*-||g')"
# attempt to check changelog
if [ -n "$CHANGELOG_CMD" ]; then
if ! $CHANGELOG_CMD -p "$LOG_DIR/" "$TARGET_DIR/$OLDCOMPOSE_ID/" "$TARGET_DIR/$NEWCOMPOSE_ID" 2>"$LOG_DIR/changelog.$SHORTCOMPOSE_ID.stderr"; then
if [[ "$MAILNOTIF" == "yes" ]]; then
mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Changelog for $NEWCOMPOSE_ID failed" \
releng@rockylinux.org < "$LOG_DIR/changelog-$NEWCOMPOSE_ID.brief"
else
echo "!! Changelog run failed !!"
fi
exit 1
fi
fi

View File

@ -20,3 +20,32 @@ else
fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi
NEWCOMPOSE_ID="$(cat $TARGET_DIR/latest-$SHORT-$MAJOR/COMPOSE_ID)"
SHORTCOMPOSE_ID="$(echo $NEWCOMPOSE_ID | sed -e 's|Rocky-.*-||g')"
# attempt to check changelog
if [ -n "$CHANGELOG_CMD" ]; then
if ! $CHANGELOG_CMD -p "$LOG_DIR/" "$TARGET_DIR/$OLDCOMPOSE_ID/" "$TARGET_DIR/$NEWCOMPOSE_ID" 2>"$LOG_DIR/changelog.$SHORTCOMPOSE_ID.stderr"; then
if [[ "$MAILNOTIF" == "yes" ]]; then
mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Changelog for $NEWCOMPOSE_ID failed" \
releng@rockylinux.org < "$LOG_DIR/changelog-$NEWCOMPOSE_ID.brief"
else
echo "!! Changelog run failed !!"
fi
exit 1
fi
fi